/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
a{text-decoration: none; color: antiquewhite;}
a:link{color: none;}
a:visited{color: none;}
 /*
  * ─── NAVBAR ─────────────────────────────────────────────────────────────────────
  */

.navbar {
	position: fixed;
	height: 10vh;
	width: 100%;
	background-color: #1e1e24;
	display: flex;
	align-items: center;
	justify-content: center;

}

#logo {
	color: antiquewhite;
	font-size: 2rem;
	letter-spacing: 0.5rem;
	align-self: center;

 }

#ul-hook {
	padding-right: 5%;
	color: antiquewhite;
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	right: 0;
 }

 
.navbar a {
	text-decoration: none;
	font-size: 1.2rem;

 }
.navbar li {
	border: solid 1px transparent;
	border-radius: 5px;
	padding: 0.6rem 0.8rem;
	width: 65px;
 }
.navbar li:hover {
	border: solid 1px antiquewhite;
 }

 #toggle {
	height: 50%;
	padding: 1rem;
	font-size: 1.65rem;
	margin-right: 5%;

	display: none;
 }


 /*
  * ─── WELCOME SECTION ────────────────────────────────────────────────────────────
  */
   
 header {
	height: 100vh;
	width: auto;
	background: linear-gradient( rgba(20, 20, 20, 0.65), rgba(20, 20, 20, 0.65)),url(https://images.unsplash.com/photo-1481627834876-b7833e8f5570?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=4141&q=80/photo-1532012197267-da84d127e765?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1834&q=80lash.com/photo-1532012197267-da84d127e765?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2134&q=80.unsplash.com/photo-1532012197267-da84d127e765?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80://images.unsplash.com/photo-1532012197267-da84d127e765?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=3334&q=80);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
 }

 #main-btn { /* Porque si defino un tamaño, puedo reducir la web todo lo que quiera */
	font-size: 2.2rem;
	padding: 0.5rem;
	margin-top: 15%;
	color: antiquewhite;
	font-family: monospace;
	border: solid 1px antiquewhite;;
	border-radius: 5px;
	background-color: transparent;
	cursor: pointer;
	outline: none;
 }

 #main-btn:hover {
	color: rgba(0, 0, 0, 1);
	background-color: antiquewhite;
	transition: all 1s;
 }

 /*
  * ─── FORM / SING UP & LOG IN BOXES───────────────────────────────────────────────────────────────────────
  */
	 
form{
	height: 100%;
	width: 35%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.space {
	margin: 1.6rem;
}

#login-box, #register-box {
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	background: rgba(0, 0, 0, 0.5);
	border-radius: 5px;
	padding: 2.5rem;
}

#login-box h2, #register-box h2 {
	font-size: 1.5rem;
	color: antiquewhite;
}

.text-fields{
	padding: 0.4rem;
}

.text-fields input{
	background: transparent;
	border: transparent;
	border-bottom: solid 1px antiquewhite;
	outline: none;
	padding: 0.1rem;
	color: antiquewhite;
}

#login-box button, #register-box button {
	font-size: 1rem;
	padding: 0.5rem;
	margin: 0.5rem 0rem 0.5rem 0rem;
	color: antiquewhite;
	border: solid 1px antiquewhite;
	border-radius: 5px;
	background-color: transparent;
	cursor: pointer;
	outline: none;
}

#login-box button:hover, #register-box button:hover{
	transition: all 0.3s;
}

#log-btn:hover {
	border: solid 1px #64991e;
	color: #64991e;
	background: transparent
}

#btn-hover-color01:hover , #btn-hover-color02:hover {
	border: solid 1px #cb0000;
	color: #cb0000;
	background: transparent
}

/*
 * ─── CLUB FEATURES ──────────────────────────────────────────────────────────────
 */

#club-features {
	height: 100vh;
	width: 100%;
	background-color: #1e1e24;
	display: flex;
	justify-content: center;
	align-items: center;
}

.containers{

	height: 40%;
	width: 25%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	border:antiquewhite 1px solid;
	margin: 1% 1.5% 1% 1.5%;
	padding: 2%;
	text-align: center;
	cursor: pointer;
	outline: none;
}

.containers h2 {
	font-size: 4rem;
	color: antiquewhite;
	outline: none;
}
.containers p {
	display: block;
	color: antiquewhite;
	font-size: 1.5rem;
	border: transparent;
	border-left: antiquewhite 1px solid;
	padding: 3.5%;
	outline: none;
}


 /*
  * ─── BANNER ─────────────────────────────────────────────────────────────────────
  */

#banner {
	display:flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: antiquewhite;
	font-size: 1.5rem;
	padding: 5rem;
	background: linear-gradient( rgba(20, 20, 20, 0.80), rgba(20, 20, 20, 0.80)), url(https://images.unsplash.com/photo-1507842217343-583bb7270b66?ixlib=rb-1.2.1&auto=format&fit=crop&w=5653&q=80);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	text-align: center;
}
.banner-padding {
	padding: 0.5rem;
}
#banner-link {
	color: antiquewhite;
	margin-top: 2.5%;
	border: solid 1px antiquewhite;
	border-radius: 5px;
}


/*
 * ─── FOOTER ─────────────────────────────────────────────────────────────────────
 */

footer {
	height: 20vh;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #1e1e24;
}
#col-wrapper{

	height: 60%;
	width: 40%;
	display: flex;
	justify-content: center;
	align-items: center;
}
.footer-col{
	height: 100%;
	width: 35%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	text-align: center;
}
.footer-h{
	height: 35%;
	display: flex;
	justify-content: center;
	align-items: center;
	color: #596170;
}
.footer-ul{
	height: 65%;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
}



/*
 * ─── Mediaqueries ───────────────────────────────────────────────────────────────
 */


 @media (max-width: 1000px){
	#toggle {
		display: initial;
	 }
	#ul-hook{
	top: 40%;
	 height: 35px;
	 overflow: hidden;
	 display: initial;
	}
	#ul-hook.active{
		height: auto;
	}
 
	


	#club-features {
		flex-direction: column;
		padding-top: 1%;
	}
	.containers {
		height: 20%;
		width: 85%;
		padding: 0.6% 1% 0.6 1%;
	}
	.containers h2 {
		font-size: 2rem;
	}
	.containers p {
		font-size: 1.2rem;
	}

	#club-features {
		flex-direction: column;
		padding-top: 1%;
	}
	.containers {
		height: 20%;
		width: 85%;
		padding: 0.6% 1% 0.6 1%;
	}
	.containers h2 {
		font-size: 2rem;
	}
	.containers p {
		font-size: 1.2rem;
	}

	#col-wrapper{
		width: 90%;
	}

}

@media (max-width: 480px) , (max-height: 700px){


	html {
		font-size: 0.7rem;
	  }
}

